<template>
<div> 
   <ReportList 
      :listUserHaveTeamAndReport="listUserHaveTeamAndReport"
      :current_page="current_page"
      :next="next"
      :previous="previous"
      :haveParam="haveParam"
      ></ReportList>
</div>
</template>

<script>
import { BASE_API, API_ALL, } from '../../assets/contants/contant'
import ReportList from '../../components/report/ReportList'

export default {
  data() {
     return {
      listUserHaveTeamAndReport: [],     
      current_page: 1,
      next: '',
      previous: '',
      haveParam: true,
      idUserLogin: this.$route.params.id
    }
  },
  components: { ReportList },
  computed: {
    BASE_API() {
      return BASE_API
    },
  },
  
  async fetch() {
    await fetch(API_ALL+this.idUserLogin).then((res) => res.json())
      .then((res) => {
        this.listUserHaveTeamAndReport = res.data
        this.previous = res.prev_page_url
        this.next = res.next_page_url
        this.current_page = res.current_page
      })
  },
  
}
</script>